GetBuyerTransactions |WebMethod|
Returns all the buyer's transactions that have taken place within the specified constraints. The buyer in this case is the user for which the call is made for. Transactions are matched on their creation date. When MinTransactionDate is omitted the last 60 days are returned; when MaxTransactionDate is omitted there is no upper bound.
- request, Holds request information for this call, see GetBuyerTransactionsRequest for detailed information.
Array of found Transaction objects
SOAP 1.1
The following is a sample SOAP 1.1 request and response. The placeholders shown need to be replaced with actual values.
POST /v3/BuyerService.asmx HTTP/1.1 Host: api.tradera.com Content-Type: text/xml; charset=utf-8 SOAPAction: "http://api.tradera.com/GetBuyerTransactions" Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"> <soap:Body> <GetBuyerTransactions xmlns="http://api.tradera.com"> <request>request</request> </GetBuyerTransactions> </soap:Body> </soap:Envelope>
HTTP/1.1 200 OK Content-Type: text/xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"> <soap:Body> <GetBuyerTransactionsResponse xmlns="http://api.tradera.com"> <GetBuyerTransactionsResult>Array of found Transaction objects</GetBuyerTransactionsResult> </GetBuyerTransactionsResponse> </soap:Body> </soap:Envelope>
SOAP 1.2
The following is a sample SOAP 1.2 request and response. The placeholders shown need to be replaced with actual values.
POST /v3/BuyerService.asmx HTTP/1.1 Host: api.tradera.com Content-Type: application/soap+xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope"> <soap12:Body> <GetBuyerTransactions xmlns="http://api.tradera.com"> <request>request</request> </GetBuyerTransactions> </soap12:Body> </soap12:Envelope>
HTTP/1.1 200 OK Content-Type: application/soap+xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope"> <soap12:Body> <GetBuyerTransactionsResponse xmlns="http://api.tradera.com"> <GetBuyerTransactionsResult>Array of found Transaction objects</GetBuyerTransactionsResult> </GetBuyerTransactionsResponse> </soap12:Body> </soap12:Envelope>
HTTP GET
The following is a sample HTTP GET request and response. The placeholders shown need to be replaced with actual values.
GET /v3/BuyerService.asmx/GetBuyerTransactions?appId=string&appKey=string&request=string HTTP/1.1 Host: api.tradera.com
HTTP/1.1 200 OK Content-Type: text/xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <GetBuyerTransactionsResult xmlns="http://api.tradera.com">Array of found Transaction objects</GetBuyerTransactionsResult>
HTTP POST
The following is a sample HTTP POST request and response. The placeholders shown need to be replaced with actual values.
POST /v3/BuyerService.asmx/GetBuyerTransactions HTTP/1.1 Host: api.tradera.com Content-Type: application/x-www-form-urlencoded Content-Length: length appId=string&appKey=string&request=string
HTTP/1.1 200 OK Content-Type: text/xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <GetBuyerTransactionsResult xmlns="http://api.tradera.com">Array of found Transaction objects</GetBuyerTransactionsResult>